<?php

namespace App\Classes\Modules\Notifications\Processors;

use App\Classes\Modules\Notifications\DataTransferObjects\NotificationObject;
use App\Classes\Modules\Notifications\Services\CreatesNotification;

class CreateNotificationProcessor
{
    /** @var CreatesNotification */
    private $createsNotification;

    /**
     * CreateNotificationProcessor constructor.
     * @param CreatesNotification $createsNotification
     */
    public function __construct(CreatesNotification $createsNotification)
    {
        $this->createsNotification = $createsNotification;
    }
   
    public function execute(NotificationObject $object)
    {
        $notification = $this->createsNotification->execute($object);
        return $notification;
    }
}
